enum ReleaseLifecycleSort {
  UPDATED_AT_ASC
  UPDATED_AT_DESC
}

type ReleaseLifecycleConnection {
  totalCount: Int!
  pageInfo: PageInfo!
  edges: [ReleaseLifecycleEdge]
}

type ReleaseLifecycleEdge {
  cursor: String!
  node: ReleaseLifecycle
}

type CreateReleaseLifecyclePayload {
  clientMutationId: String
  releaseLifecycle: ReleaseLifecycle
  problems: [Problem!]!
}

type UpdateReleaseLifecyclePayload {
  clientMutationId: String
  releaseLifecycle: ReleaseLifecycle
  problems: [Problem!]!
}

type DeleteReleaseLifecyclePayload {
  clientMutationId: String
  releaseLifecycle: ReleaseLifecycle
  problems: [Problem!]!
}

type ReleaseLifecycle implements Node {
  id: ID!
  metadata: ResourceMetadata!
  createdBy: String!
  name: String!
  scope: ScopeType!
  organizationName: String!
  organization: Organization!
  project: Project
  lifecycleTemplate: LifecycleTemplate!
  environmentNames: [String!]!
}

input CreateReleaseLifecycleInput {
  clientMutationId: String
  scope: ScopeType!
  organizationId: String
  projectId: String
  name: String!
  lifecycleTemplateId: String!
}

input UpdateReleaseLifecycleInput {
  metadata: ResourceMetadataInput
  id: ID!
  clientMutationId: String
  lifecycleTemplateId: String!
}

input DeleteReleaseLifecycleInput {
  metadata: ResourceMetadataInput
  id: ID!
  clientMutationId: String
}
